/*****************************************************************************
   ģ      : KdvSpdLog
   ļ      : kdvspdlog.h
   ļ    :
   ļʵֹ: KdvSpdLogģͷļ
           : 
   汾        : V0.1  Copyright(C) 2001-2021 KDC, All rights reserved.
******************************************************************************/

#ifndef KDV_SPD_LOG_LIB_H
#define KDV_SPD_LOG_LIB_H



#include "kdvtype.h"


#ifdef __cplusplus
extern "C" {
#endif

#ifndef DllExport
#ifdef WIN32
#define DllExport extern "C" __declspec(dllexport)
#else
#define DllExport
#endif
#endif

#define KDVSPDLOG_LEVEL_TRACE         0
#define KDVSPDLOG_LEVEL_DEBUG         1
#define KDVSPDLOG_LEVEL_INFO          2
#define KDVSPDLOG_LEVEL_WARN          3
#define KDVSPDLOG_LEVEL_ERROR         4
#define KDVSPDLOG_LEVEL_CRITICAL      5
#define KDVSPDLOG_LEVEL_OFF           6

#define LOG_LVL_ERROR 1
#define LOG_LVL_WARNING 2
#define LOG_LVL_NOTICE 3
#define LOG_LVL_INFO 4
#define LOG_LVL_DEBUG 5

	//ݾɰ汾־
	//#define		LOG_LVL_ERROR					(u8)1				
	//#define		LOG_LVL_WARNING					(u8)2
#define		LOG_LVL_KEYSTATUS				(u8)3
#define		LOG_LVL_DETAIL					(u8)4
#define		LOG_LVL_REPEAT					(u8)5

	//첽ģʽ
#define LOG_ASYNC_ON                  0
#define LOG_ASYNC_OFF                -1
#define LOG_ASYNC_DEFAULT            -1

	//쳣
#define Err_t u16
#define LOG_ERR_NO_ERR    (Err_t)(0)
#define LOG_ERR_PARAMS_ERR (Err_t)(50)

DllExport bool LogInit(const char *pcFilePath,const int async = LOG_ASYNC_DEFAULT);
DllExport void LogUnInit();

DllExport void LogPrint(const int lv, const char *module, const char *pszFormat, ...);

DllExport void LogSetLevel(const int level);
DllExport void logsetlvl(const int level);
DllExport void LogFlush();
DllExport void logflush();

DllExport void logenablemod(const char* module = "MID_PUB_ALWAYS");

	//WIN32ؽӿ
#if defined(_WIN32) ||defined(_HISI_v500_)
#define KDVLOG_DEFAULT_FILE_NUM    10
#define KDVLOG_MAX_FILE_NUM        1000

#define KDVLOG_DEFAULT_FILE_SIZE   100
#define KDVLOG_MIN_FILE_SIZE       1
#define KDVLOG_MAX_FILE_SIZE       2000

#define KDVLOG_DEFAULT_FLUSH_LINES 10000
#define KDVLOG_MIN_FLUSH_LINES     1
#define KDVLOG_MAX_FLUSH_LINES     10000

#define KDVLOG_DEFAULT_FILE_PATH   "./"

DllExport bool LogSetFileNum(const u16 wFileNum = KDVLOG_DEFAULT_FILE_NUM); //öٸļѭ
DllExport bool LogSetFileSizeByMb(const u16 wFileSize = KDVLOG_DEFAULT_FILE_SIZE); //ļС
//DllExport bool LogSetFilePath(const char *pcFilePath = KDVLOG_DEFAULT_FILE_PATH); 
DllExport bool LogSetFlushLines(const u16 wFlushLines = KDVLOG_DEFAULT_FLUSH_LINES); //ļˢ
DllExport bool LogSetLogName(const char * wLogName);

#endif
#ifdef __cplusplus
}
#endif
#endif
