﻿#ifndef DEVICELISTWINDOW_H
#define DEVICELISTWINDOW_H

#include <QDialog>

#pragma execution_character_set("utf-8")

namespace Ui {
class DeviceListWindow;
}

namespace KRTCSDK {
class KRtcDeviceManager;
}

class DeviceListWindow : public QDialog
{
    Q_OBJECT

public:
    explicit DeviceListWindow(QWidget *parent = nullptr);
    ~DeviceListWindow();

protected:
    void closeEvent(QCloseEvent *) override;

private slots:
    void on_micList_currentIndexChanged(int index);

    void on_spkList_currentIndexChanged(int index);

    void on_cameraList_currentIndexChanged(int index);

private:
    Ui::DeviceListWindow *ui;
    KRTCSDK::KRtcDeviceManager* m_deviceMgr;
};

#endif // DEVICELISTWINDOW_H
