﻿#ifndef DISPLAYWIDGET_H
#define DISPLAYWIDGET_H

#include <QWidget>
#include "KRtcTypeDef.h"
using namespace KRTCSDK;
#pragma execution_character_set("utf-8")

namespace Ui {
class DisplayWidget;
}

class DisplayWidget : public QWidget
{
    Q_OBJECT

public:
    explicit DisplayWidget(QWidget *parent = nullptr);
    ~DisplayWidget();
    bool isSubscribing() { return this->m_subscribing; }
    void subscribeStream(QString id, STREAM_TYPE type, uint8_t m_mediaIndex);
    void unSubscribeUser();
    QString getSubscribeUser() { return this->m_subUserId; }
    QString getSubscribeTileName() { return this->m_titleName; }
    STREAM_TYPE getSubscribeType() { return this->m_subStreamType; }
    void* getWinId();

signals:
    void sigUnsubscribe();
    void sigSnapshotVideo(QString id, STREAM_TYPE type, uint8_t mediaIndex);

protected:
    void enterEvent(QEvent*) override;
    void leaveEvent(QEvent*) override;

private slots:
    void on_btnDelete_clicked();

    void on_btnPauseOrResume_clicked();

    void on_btnGrabpic_clicked();

private:
    Ui::DisplayWidget *ui;
    uint8_t m_mediaIndex;
    QString m_subUserId;
    QString m_titleName;
    STREAM_TYPE m_subStreamType;
    bool m_subscribing{ false };
    bool m_pauseOrResume{ false };
};

#endif // DISPLAYWIDGET_H
