﻿#ifndef LOGINWINDOW_H
#define LOGINWINDOW_H

#include <QWidget>
#include <QMouseEvent>
#include "KRtcClient.h"

#pragma execution_character_set("utf-8")

namespace Ui {
class LoginWindow;
}

class QFile;
class QGraphicsDropShadowEffect;

class LoginWindow : public QWidget
{
    Q_OBJECT

public:
    explicit LoginWindow(QWidget *parent = nullptr);
    ~LoginWindow();
    void setPromptText(QString text);
    void onJoinRoomFailed();

signals:
    void sigLogin(QString serverAddr, QString userId, QString nickName, QString RoomId, QString appId, QString appSecret);

protected:
    void mousePressEvent(QMouseEvent *event) override;
    void mouseMoveEvent(QMouseEvent *event) override;
    void mouseReleaseEvent(QMouseEvent *event) override;
    void showEvent(QShowEvent *event) override;

private slots:
    void on_btnQuit_clicked();
    void on_btnLogin_clicked();
    void on_btnSetup_clicked();

private:
    Ui::LoginWindow *ui;

    QPoint m_dragPosition;
    bool m_bIsDrag{ false };
    QGraphicsDropShadowEffect* m_shadowEffect;
    QFile* m_loginFile;
};

#endif // LOGINWINDOW_H
