﻿#include <QDir>
#include <QDebug>
#include <QTranslator>
#include <QApplication>
#include <QSharedMemory>
#include <QProcessEnvironment>
#include "roomwindow.h"
#include "devicelistwindow.h"

Q_DECLARE_METATYPE(RTC_SDK_WARNING)
Q_DECLARE_METATYPE(RTC_SDK_ERROR)
Q_DECLARE_METATYPE(DEVICETYPE)
Q_DECLARE_METATYPE(DeviceInfo)
Q_DECLARE_METATYPE(DeviceList)
Q_DECLARE_METATYPE(int32_t)

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    QString log_directory = QDir::currentPath() + "/log";
    QDir dir  = QDir(log_directory);
    if (!dir.exists())
    {
        dir.mkdir(log_directory);
    }

    qDebug() << "log_directory:" << log_directory;

    std::string str = log_directory.toStdString();
    KRtcSdkLogParam logParm;
    logParm.enableLog = true;
    logParm.logPath   = str.c_str();
    logParm.callback  = nullptr;
    qDebug() << "logParm.logPath:" << logParm.logPath;
    KRtcSdkInitParam initParam = { 0 };

    int32_t ret = KRTCSDK::init(&logParm, &initParam);
    if(0 == ret)
    {
        qDebug() << "init suc";
    }
    else
    {
        qDebug() << "init fail";
    }

    RoomWindow w;
    int result = a.exec();

    KRTCSDK::release();

    return result;

}
